.core-defs:
  variables:
    CORENAME: boytacean

stages:
  - build-prepare
  - build-shared
  - build-static

libretro-build-windows-x64:
  stage: build-shared
  script:
    - cd frontends/libretro
    - cargo build --release
    - mv ../../target/release/${CORENAME}_libretro.dll .
  artifacts:
    paths:
    - ${CORENAME}_libretro.dll
    expire_in: 10 min
